


<div class="login-page">
  <div class="form">
    <div class="login">
      <div class="login-header">
        <h3>REGISTER</h3>
        <p>Please enter your details to register.</p>
      </div>
    </div>
    <%= form_for(resource, as: resource_name, url: registration_path(resource_name)) do |f| %>
      <%= render "devise/shared/error_messages", resource: resource %>
      <%= f.text_field :first_name, autofocus: true, autocomplete: "first name", placeholder:"first name", required: true %>
      <%= f.text_field :last_name, autofocus: true, autocomplete: "last name", placeholder:"last name", required: true %>

      <%= select_tag :contact_method, options_for_select(["Email", "Phone", "Both"]), prompt: "Choose your contact option",
   include_blank: false, id: "contact-method-select", class:"field",  required: true %>

   <!-- Fields for email -->
  <div id="email-field" class="field" style="display: none;">
    <%= f.email_field :email, autofocus: true, autocomplete: "email", required: false, placeholder:"email" %>
  </div>

  <!-- Fields for phone -->
  <div id="phone-field" class="field" style="display: none;">
    <%= f.text_field :phone, autofocus: true, autocomplete: "phone number", placeholder:"phone number" %>
  </div>

  <div class="field">
    <%= f.password_field :password, autocomplete: "new-password", placeholder:"password", required: true %>
    <% if @minimum_password_length %>
      <em>(<%= @minimum_password_length %> characters minimum)</em>
    <% end %><br />
    </div>

  <div class="field">
    <%= f.password_field :password_confirmation, autocomplete: "new-password", placeholder:"confirm password", required: true %>
  </div>

      <%= f.submit "Register", class:"button btn btn-primary" %>
      <p class="message">Already have an account?
      <%= link_to('Login', new_user_session_path)%></p>
    <% end %>
  </div>
</div>
<%= render "devise/shared/links" %>
<script>
$(document).ready(function() {
  // Get a reference to the select field and the email/phone fields
  var contactMethodSelect = $("#contact-method-select");
  var emailField = $("#email-field");
  var phoneField = $("#phone-field");

  // Show/hide email/phone fields based on the value of the select field
  contactMethodSelect.change(function() {
    var selectedOption = $(this).val();
    if (selectedOption == "Email") {
      emailField.show();
      phoneField.hide();
    } else if (selectedOption == "Phone") {
      emailField.hide();
      phoneField.show();
    } else if (selectedOption == "Both") {
      emailField.show();
      phoneField.show();
    } else {
      emailField.hide();
      phoneField.hide();
    }
  });
});
</script>